// macro per il debug
// vengono emessi solo gli errori piu' gravi
// di un certo livello. Se usi un alto livello, non si ferma mai
// Mettila in /usr/include
// (C) M.Andreoli

#define LEVEL_DEBUG 0
#define LEVEL_WARNING 1 
#define LEVEL_FATAL 2 

#ifndef DEBUG_LEVEL
	#define DEBUG_LEVEL LEVEL_DEBUG 
#endif

#define debug(format, arg...) \
	 (DEBUG_LEVEL <= LEVEL_DEBUG)? fprintf( stderr, "DEBUG: " format, ## arg):0
#define die(format, arg...) \
	(DEBUG_LEVEL <= LEVEL_FATAL)? fprintf( stderr, "FATAL: " format, ## arg):0
#define warn(format, arg...) \
	(DEBUG_LEVEL <= LEVEL_WARNING)? fprintf( stderr, "WARN: " format, ## arg):0
